### org.jfree.layouting.layouter.feed

# Class InputFeedException

- `StackableException`
- - `org.jfree.layouting.layouter.feed.InputFeedException`

`public class InputFeedException`
`extends StackableException`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: InputFeedException.java 6489 2008-11-28 14:53:40Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `InputFeedException()`
    Creates a StackableRuntimeException with no message and no parent.

  `InputFeedException(String message)`
    Creates an exception.

  `InputFeedException(String message, Exception ex)`
    Creates an exception.

## Constructor Details

### InputFeedException

    public InputFeedException()

> Creates a StackableRuntimeException with no message and no parent.

### InputFeedException

    public InputFeedException(String message)

> Creates an exception.
> Parameters:
>   `message` - the exception message.

### InputFeedException

    public InputFeedException(String message,
                              Exception ex)

> Creates an exception.
> Parameters:
>   `message` - the exception message.
>   `ex` - the parent exception.